Name:          spi
Version:       0.2.4
Release:       1%{?dist}
Summary:       Simplifies usage of Java Service Provider Interface
License:       ASL 2.0
URL:           https://code.google.com/p/spi/
Source0:       https://spi.googlecode.com/files/%{name}-src-%{version}.zip
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires: aqute-bnd
BuildRequires: java-devel
%if %{?fedora} >= 21
BuildRequires: javapackages-local
%else
BuildRequires: maven-local
%endif
BuildArch:     noarch

%description
This project allows the programmer to use an Annotation, @ProviderFor,
to flag a class as an implementation of a certain interface. During
compilation, the necessary files are created at the appropriate locations.
Also, the class is inspected to see if it follows all rules applicable to
Service Providers. Compile time errors will be generated if those rules
are broken, assisting the programmer to create more robust code. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

mkdir -p classes docs src
mv org META-INF src/

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build

%javac -d classes -source 1.7 -target 1.7 -encoding UTF8 $(find src -name "*.java")

(
cd classes
%jar -cf ../%{name}.jar *
)

# Add services
(
 cd src
 %jar -uf ../%{name}.jar META-INF
)

%javadoc -source 1.7 -encoding UTF8 -d docs $(find src -name "*.java")

# Generate OSGi manifest
%java -jar $(build-classpath aqute-bnd) wrap %{name}.jar
mv %{name}.bar %{name}.jar

%install
%mvn_artifact org.mangosdk.%{name}:%{name}:%{version} %{name}.jar
%mvn_file org.mangosdk.%{name}:%{name} %{name}
%mvn_install -J docs

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Mar 03 2015 gil cattaneo <puntogil@libero.it> 0.2.4-1
- initial rpm
